Funding Rate History
Description
Query the funding rate history for a specific trading pair.
HTTP Request
GET /fapi/v1/fundingRate
Weight
1
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | STRING | NO | Trading pair |
| startTime | LONG | NO | Start time |
| endTime | LONG | NO | End time |
| limit | INT | NO | Default 100; Max 1000 |
Response Example
[
{
"symbol": "BTCUSDT",
"fundingRate": "0.00010000", // Funding rate
"fundingTime": 1558108800000 // Funding settlement time
}
]
Code Examples
cURL
curl -s "https://api-sepolia.ztdx.io/fapi/v1/fundingRate?symbol=BTCUSDT&limit=5"
Python
import requests
base_url = "https://api.ztdx.io"
params = {"symbol": "BTCUSDT", "limit": 5}
response = requests.get(f"{base_url}/fapi/v1/fundingRate", params=params)
for rate in response.json():
print(f"{rate['symbol']} rate={rate['fundingRate']} time={rate['fundingTime']}")